Bug 1564199 - Wrong default value for "Run" field on Editing Widget screen
Summary: Wrong default value for "Run" field on Editing Widget screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Zita Nemeckova
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 16:06 UTC by Yuri Rudman
Modified: 2019-02-07 23:01 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:30 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Widget scheduled to run daily (189.27 KB, image/png)
2018-04-05 16:07 UTC, Yuri Rudman
no flags Details
Run value is Hourly (125.59 KB, image/png)
2018-04-05 16:09 UTC, Yuri Rudman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:35 UTC

Description Yuri Rudman 2018-04-05 16:06:03 UTC
Description of problem:
  Default widget which set-up to run Daily has "Hourly" value in Run field on edit widget screen 

Version-Release number of selected component (if applicable):
5.9

How reproducible: 100%


Steps to Reproduce:
1. Go to Reports -> Dashboard Widget
2. Select widget which has value "Run daily starting on ..." (Top Storage Consumers)
3. Configuration -> Edit

Actual results:
  Run field has "Hourly" value

Expected results:
  Run field should have "Daily" value

Comment 2 Yuri Rudman 2018-04-05 16:07:34 UTC
Created attachment 1417840 [details]
Widget scheduled to run daily

Comment 3 Yuri Rudman 2018-04-05 16:09:39 UTC
Created attachment 1417841 [details]
Run value is Hourly

Comment 5 CFME Bot 2018-05-02 14:12:21 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/ff81db6a3408c7475cdf45f9527cd03030d54dfa
commit ff81db6a3408c7475cdf45f9527cd03030d54dfa
Author:     Zita Nemeckova <znemecko@redhat.com>
AuthorDate: Fri Apr 27 05:30:08 2018 -0400
Commit:     Zita Nemeckova <znemecko@redhat.com>
CommitDate: Fri Apr 27 05:30:08 2018 -0400

    Change @edit[:new][:timer_typ] to @edit[:new][:timer].typ

    There's no :time_typ key in @edit[:new] so it's aways nil and select is set to Hourly as it's the first value

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1564199

 app/views/report/_schedule_form_timer.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 Nandini Chandra 2018-07-10 17:01:08 UTC
verified in 5.10.0.3

Comment 14 errata-xmlrpc 2019-02-07 23:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.